# BinOutputStream Class Reference

Inheritance diagram for BinOutputStream:

List of all members.

## Public Member Functions

virtual | ~BinOutputStream ()
virtual XMLFilePos | curPos () const =0
virtual void | writeBytes (const XMLByte *const toGo, const XMLSize_t maxToWrite)=0

## Protected Member Functions

| BinOutputStream ()

## Constructor & Destructor Documentation

virtual BinOutputStream::~BinOutputStream | ( |  | ) | `[virtual]`

BinOutputStream::BinOutputStream | ( |  | ) | `[protected]`

## Member Function Documentation

virtual XMLFilePos BinOutputStream::curPos | ( |  | ) | const`[pure virtual]`

virtual void BinOutputStream::writeBytes | ( | const XMLByte *const | toGo,
|  | const XMLSize_t | maxToWrite |
| ) |  |  | `[pure virtual]`

The documentation for this class was generated from the following file:

- BinOutputStream.hpp